### Function

# EBackend SubprocessFactory construct_path

since: 3.16

#### Declaration [src]

    gchar*
    e_subprocess_factory_construct_path (
      void
    )

#### Description [src]

Returns a new and unique object path for a D-Bus interface based in the data object path prefix of the `subprocess_factory`.

Available since: 3.16

#### Return value

Type: `gchar*`

A newly allocated string, representing the object path for the D-Bus interface.

This function is here for a lack of a better place.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.